be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class ContentContextType

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.ContentContextType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:03+01:00",
                 comments="JAXB RI v2.2.11")
      public class ContentContextType
      extends Object
      implements Serializable

  Java class for ContentContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ContentContextType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Content" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ConsultationContentType"/>
               <element name="ContentSpecification" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentSpecificationType"/>
               <element name="CustomMeta" type="{urn:be:fgov:ehealth:ehbox:core:v3}CustomMetaType" maxOccurs="100" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentContextType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultationContentType` | `getContent()` Gets the value of the content property.
    `ContentSpecificationType` | `getContentSpecification()` Gets the value of the contentSpecification property.
    `List<CustomMetaType>` | `getCustomMetas()` Gets the value of the customMetas property.
    `void` | `setContent(ConsultationContentType value)` Sets the value of the content property.
    `void` | `setContentSpecification(ContentSpecificationType value)` Sets the value of the contentSpecification property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentContextType

          public ContentContextType()

  - ### Method Detail

    - #### getContent

          public ConsultationContentType getContent()

      Gets the value of the content property.
      Returns:
        possible object is `ConsultationContentType`

    - #### setContent

          public void setContent(ConsultationContentType value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `ConsultationContentType`

    - #### getContentSpecification

          public ContentSpecificationType getContentSpecification()

      Gets the value of the contentSpecification property.
      Returns:
        possible object is `ContentSpecificationType`

    - #### setContentSpecification

          public void setContentSpecification(ContentSpecificationType value)

      Sets the value of the contentSpecification property.
      Parameters:
        `value` - allowed object is `ContentSpecificationType`

    - #### getCustomMetas

          public List<CustomMetaType> getCustomMetas()

      Gets the value of the customMetas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the customMetas property.

      For example, to add a new item, do as follows:

              getCustomMetas().add(newItem);

      Objects of the following type(s) are allowed in the list `CustomMetaType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.